Skip to navigation

Get PublishingRecord by ID

Beta
Get a single PublishingRecord by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publishing_record_idstringRequired
ID of the PublishingRecord.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstringOptionalformat: "datetime"
idstringOptional
indexintegerOptional
Position of this record in the publishable's publishing history, starting at 0.
modifiedAtstringOptionalformat: "datetime"
publishableIdstringOptional
ID of the published item, such as a Template, Subtemplate, or Procedure.
publishableVersionIdstringOptional

ID of the version that was published. For Templates and Subtemplates, this matches versionMetadata.versionId.

publishedAtstringOptionalformat: "datetime"
When the version was published.
publishedByobjectOptional
User or app that published the version.
publishingStatusenumOptional
Lifecycle state of this published version.
Allowed values:
unpublishedAtstring or nullOptionalformat: "datetime"
When this record was superseded or withdrawn. Null while the record is effective.
unpublishedByobject or nullOptional
User or app that published the replacement version or withdrew this version. Null while the record is effective.
versionDescriptionstring or nullOptional
Optional description given to the version when it was published.
versionNamestringOptional
Name given to the version when it was published.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error